Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`sux``

module documentation
(source)

*S*mall, *U*ncomplicated *X*ML.

This is a very simple implementation of XML/HTML as a network protocol. It is not at all clever. Its main features are that it does not:

- support namespaces
- mung mnemonic entity references
- validate
- perform *any* external actions (such as fetching URLs or writing files) under *any* circumstances
- has lots and lots of horrible hacks for supporting broken HTML (as an option, they're not on by default).

Class | `XMLParser` | No class docstring; 0/23 instance variable, 0/2 class variable, 10/55 methods documented
Exception | `ParseError` | Undocumented
Function | `nop` | Do nothing.
Function | `prefixedMethodClassDict` | Undocumented
Function | `prefixedMethodObjDict` | Undocumented
Function | `unionlist` | Undocumented
Function | `zipfndict` | Undocumented
Constant | `BEGIN_HANDLER` | Undocumented
Constant | `DO_HANDLER` | Undocumented
Constant | `END_HANDLER` | Undocumented
Variable | `identChars` | Undocumented
Variable | `lenientIdentChars` | Undocumented

def nop(*args, **kw): (source)

Do nothing.

def prefixedMethodClassDict(clazz, prefix): (source)

Undocumented

def prefixedMethodObjDict(obj, prefix): (source)

Undocumented

def unionlist(*args): (source)

Undocumented

def zipfndict(*args, **kw): (source)

Undocumented

BEGIN_HANDLER: `int` = (source)

Undocumented

Value

    0

DO_HANDLER: `int` = (source)

Undocumented

Value

    1

END_HANDLER: `int` = (source)

Undocumented

Value

    2

identChars: `str` = (source)

Undocumented

lenientIdentChars = (source)

Undocumented